Foros del Web » Programando para Internet » PHP »

error al cambiar la versión de php, Parse error: syntax error, unexpected $end

Estas en el tema de error al cambiar la versión de php, Parse error: syntax error, unexpected $end en el foro de PHP en Foros del Web. Pues he actualizado la versión de php de la 4.4 a la 5.2 y me salta un error: Parse error : syntax error, unexpected $end ...
  #1 (permalink)  
Antiguo 14/05/2007, 09:51
 
Fecha de Ingreso: enero-2003
Ubicación: Zaragoza
Mensajes: 217
Antigüedad: 16 años, 10 meses
Puntos: 0
error al cambiar la versión de php, Parse error: syntax error, unexpected $end

Pues he actualizado la versión de php de la 4.4 a la 5.2 y me salta un error:

Parse error: syntax error, unexpected $end

Ahora tengo 2 servidores funcionando y en uno salta y otro no, ¿qué puede ser? El error salta en la última linea, parece que me falte de cerran un } o me haya dejado un ; , pero claro, antes no daba ningún error.
__________________
Diseño web Zaragoza
  #2 (permalink)  
Antiguo 14/05/2007, 10:06
Avatar de mauled  
Fecha de Ingreso: marzo-2005
Ubicación: Cd. de México.
Mensajes: 3.001
Antigüedad: 14 años, 8 meses
Puntos: 33
Re: error al cambiar la versión de php, Parse error: syntax error, unexpected $end

jejeje tu ese error normalmente ocurre cuando falta cerrar algún "elemento" como tu lo mencionas, te sugiero, si tu código no es muy grande, que postees el código para que alguíen pueda detectar el problema en tu script.

Saludillos.
  #3 (permalink)  
Antiguo 14/05/2007, 10:10
 
Fecha de Ingreso: enero-2003
Ubicación: Zaragoza
Mensajes: 217
Antigüedad: 16 años, 10 meses
Puntos: 0
Re: error al cambiar la versión de php, Parse error: syntax error, unexpected $end

Cita:
Iniciado por mauled Ver Mensaje
jejeje tu ese error normalmente ocurre cuando falta cerrar algún "elemento" como tu lo mencionas, te sugiero, si tu código no es muy grande, que postees el código para que alguíen pueda detectar el problema en tu script.

Saludillos.
El código son unas 2.500 líneas así que voy a revisarlo concienzudamente, lo que me mosquea es que solo me salte en la versión 5.2 de php y no en la 4.4 que estaba antes.
__________________
Diseño web Zaragoza
  #4 (permalink)  
Antiguo 14/05/2007, 10:13
Avatar de mauled  
Fecha de Ingreso: marzo-2005
Ubicación: Cd. de México.
Mensajes: 3.001
Antigüedad: 14 años, 8 meses
Puntos: 33
De acuerdo Re: error al cambiar la versión de php, Parse error: syntax error, unexpected $end

zasssss!! 2500 linea en un script!

Para una mejor práctica te recomiendo, que separes el script en varios scripts y luego uses include(), de esta manera es mucho más fácil detectar los errores y mucho más fácil mantener el script.

Saludillos.
  #5 (permalink)  
Antiguo 14/05/2007, 10:17
 
Fecha de Ingreso: enero-2003
Ubicación: Zaragoza
Mensajes: 217
Antigüedad: 16 años, 10 meses
Puntos: 0
Re: error al cambiar la versión de php, Parse error: syntax error, unexpected $end

Cita:
Iniciado por mauled Ver Mensaje
zasssss!! 2500 linea en un script!

Para una mejor práctica te recomiendo, que separes el script en varios scripts y luego uses include(), de esta manera es mucho más fácil detectar los errores y mucho más fácil mantener el script.

Saludillos.
je je, ya tiene varios includes
__________________
Diseño web Zaragoza
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 05:23.